[ Maverik Level 3 functions ]

#

mav_surfaceParamsIsTextured

## Summary

Query surface parameters for texture.

## Syntax

int mav_surfaceParamsIsTextured(MAV_window *w, MAV_surfaceParams *sp);

- MAV_window *w
  Window with which surface parameters are associated.

- MAV_surfaceParams *sp
  Surface parameters.

## Description

This function examines the surface parameters `sp` on window `w` to determine if textures are specified, returning MAV_TRUE if they are, otherwise MAV_FALSE. This function is used internally by the kernel to minimise context changes during rendering.

Back to the index page.